<?php # blog.php

#   File was released under GNU General Public License 3
#   Articles Copyright (C) 2024  Wloff Apps, Services, Development
#   This program comes with ABSOLUTELY NO WARRANTY;
#=================================================================

# this file displays only one selected blog entry
# called from the home page or the catalog

// include the configuration file
$configs = include('../config.php');

/* ============================================== */
/* ==== Template: page head with body/header ==== */
// first the head
echo file_get_contents("html/head.html");

// validate the passed data within the GET
// the value in the blog entry is a unicode timestamp - only numbers, 10 characters long
if (empty($_GET["blog"]) || !is_numeric($_GET["blog"]) || strlen($_GET["blog"]) !== 10) {
    // no blog entry to default to, just tell the user not found if something is off
    // and finish execution here
    // close down the html header
    echo file_get_contents("html/header.html");
    // stop execution with an error message printed out to the page
    exit("<p style='color:var(--article-color)'>Requested blog entry is not found</p>");
}
// otherwise store the timestamp in a variable
$timeStamp = (int)$_GET["blog"];
// create the filename that should be displayed
$fname = "$timeStamp.html";

// instantiate an article object
$a = new Article($fname, $articlePath, false, false);

// generate the social media and web search friendly meta tags
// <sarcasm>thank you facebook</sarcasm>
// these provide information of the specific blog entry
echo "<meta property='og:title' content='$a->pureTitle'>\n";
echo "<meta property='og:description' content='$a->pureIntro'>\n";

// last the header
echo file_get_contents("html/header.html");

?>


    <main class="blogMain">


<?php


/* ============================== */
/* ==== contents of the main ==== */
// put the blog entry to the page
$a->drawArticle();


/* ============================================================================== */
/* ==== Template: page footer and the rest, script includes and closing tags ==== */
echo file_get_contents("html/footer.html");

?>



